Bug 243261 - CVE-2007-2172 fib_semantics.c out of bounds access vulnerability
CVE-2007-2172 fib_semantics.c out of bounds access vulnerability
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Martin Jenner
: Security
: 384541 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-06-08 06:18 EDT by Marcel Holtmann
Modified: 2013-03-06 00:59 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0488
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-25 14:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-06-08 06:18:20 EDT
The Linux kernel is prone to an out-of-bounds-access vulnerability. This issue
occurs because the semantics for IPv4 Forwarding Information Base fail to
adequately bounds-check user-supplied data before accessing an array.

An attacker can exploit this issue to cause denial-of-service conditions.
Arbitrary code execution may also be possible, but this has not been confirmed.
Comment 1 Jason Baron 2007-06-12 11:51:32 EDT
committed in stream rhel‑4.5.z build 55.0.1
Comment 3 Joshua Giles 2007-06-21 18:21:54 EDT

Is there a reproducer for this one?
Comment 5 Red Hat Bugzilla 2007-06-25 14:05:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 6 Don Howard 2007-11-19 18:05:42 EST
*** Bug 384541 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.